#if !defined(__brdmabtd_h)              // Sentry, use file only if it's not already included.
#define __brdmabtd_h

/*  Project bardemo
    Bernd Herd Software Entwicklung
    Copyright  1995. All Rights Reserved.

    SUBSYSTEM:    bardemo.exe Application
    FILE:         brdmabtd.h
    AUTHOR:       Bernd Herd


    OVERVIEW
    ========
    Class definition for bardemoAboutDlg (TDialog).      
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include "bardmapp.rh"                  // Definition of all resources.


//{{TDialog = bardemoAboutDlg}}
class bardemoAboutDlg : public TDialog {
public:
    bardemoAboutDlg (TWindow *parent, TResId resId = IDD_ABOUT, TModule *module = 0);
    virtual ~bardemoAboutDlg ();

//{{bardemoAboutDlgVIRTUAL_BEGIN}}
public:
    void SetupWindow ();
//{{bardemoAboutDlgVIRTUAL_END}}
};    //{{bardemoAboutDlg}}


// Reading the VERSIONINFO resource.
class ProjectRCVersion {
public:
    ProjectRCVersion (TModule *module);
    virtual ~ProjectRCVersion ();

    bool GetProductName (LPSTR &prodName);
    bool GetProductVersion (LPSTR &prodVersion);
    bool GetCopyright (LPSTR &copyright);
    bool GetDebug (LPSTR &debug);

protected:
    LPBYTE      TransBlock;
    void FAR    *FVData;

private:
    // Don't allow this object to be copied.
    ProjectRCVersion (const ProjectRCVersion &);
    ProjectRCVersion & operator =(const ProjectRCVersion &);
};


#endif                                      // __brdmabtd_h sentry.
