#if !defined(__brdmmdic_h)              // Sentry, use file only if it's not already included.
#define __brdmmdic_h

/*  Project bardemo
    Bernd Herd Software Entwicklung
    Copyright  1995. All Rights Reserved.

    SUBSYSTEM:    bardemo.exe Application
    FILE:         brdmmdic.h
    AUTHOR:       Bernd Herd


    OVERVIEW
    ========
    Class definition for bardemoMDIClient (TMDIClient).      
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include "bardmapp.rh"            // Definition of all resources.


//{{TMDIClient = bardemoMDIClient}}
class bardemoMDIClient : public TMDIClient {
public:
    int                     ChildCount;                 // Number of child window created. 

    bardemoMDIClient(TModule* module = 0);
    virtual ~bardemoMDIClient ();

    void OpenFile (const char *fileName = 0);

private:
    void LoadTextFile ();

//{{bardemoMDIClientVIRTUAL_BEGIN}}
protected:
    virtual void SetupWindow ();
//{{bardemoMDIClientVIRTUAL_END}}

//{{bardemoMDIClientRSP_TBL_BEGIN}}
protected:
    void CmFilePrint ();
    void CmFilePrintSetup ();
    void CmFilePrintPreview ();
    void CmPrintEnable (TCommandEnabler &tce);
//{{bardemoMDIClientRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(bardemoMDIClient);
};    //{{bardemoMDIClient}}


#endif                                      // __brdmmdic_h sentry.
